Need workaround for Exception Unable to locate the FreePBX BMO Class 'Firewall'


(A33) #1

Hello guys,

FreePBX 15.0.17.12

Error text is:

Exception Unable to locate the FreePBX BMO Class 'Firewall’A required module might be disabled or uninstalled. Recommended steps (run from the CLI): 1) fwconsole ma install firewall 2) fwconsole ma enable firewall

Yes, i know there is a ticket with this at: issues freepbx org - projects - FREEPBX - issues - FREEPBX - 22161 ? filter = allissues)
but kind of workaround, mentioned in comments there - update SangomaConnect to the latest edge release don’t change anything.

[root@freepbx ~]# fwconsole ma --edge upgrade sangomaconnect
Edge repository temporarily enabled
No repos specified, using: [standard] from last GUI settings

sangomaconnect is the same as the online version, unable to upgrade

Do i have to downgrade to particular FPBX version?
Any help and suggestion would be very appreciated.
PS My apologies for issues url, i cannot post links as newbie


#2

The referenced ticket was closed because the OP did not provide feedback about the suggested workaround. You can reopen it and supply the requested feedback.

If your need is urgent and is related to SangomaConnect or another commercial module, open a support ticket.

BTW, you should be able to post links now. If you encounter a situation (new user of some forum) where links are disallowed, please post a string that can be pasted into a browser (or opened from a context menu) without modification. For example:
issues.freepbx%2Eorg/projects/FREEPBX/issues/FREEPBX-22161?filter=allissues


(A33) #3

How do i reopen the abovementioned issue? I logged in but can’t find a way to do that.


#4

I was able to add a (dummy) Comment but the state remained closed. If your real comment fails to get a response from staff, I recommend opening a new Issue and include a reference to the old one.